This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 860518 - (mate-panel) Review Request: mate-panel - MATE Desktop panel applets
Review Request: mate-panel - MATE Desktop panel applets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-09-25 23:43 EDT by Dan Mashal
Modified: 2012-10-19 03:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-19 03:16:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2012-09-25 23:43:01 EDT
Spec URL: http://vicodan.fedorapeople.org/matespec/mate-panel.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-panel-1.4.0-2.fc17.src.rpm
Description: MATE Desktop panel applets
Comment 1 Jens Petersen 2012-09-28 02:37:08 EDT
Fails to build in rawhide (and F18 I guess):

http://koji.fedoraproject.org/koji/taskinfo?taskID=4536282

In F18 and later NetworkManager-gtk-devel is replaced by libnm-gtk-devel.

But also fails on F17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4536285 with

:
checking for X... yes
checking for XRANDR... yes
checking for MATECOMPONENT... no
configure: error: MateComponent compatibility modules explicity enabled but not available
Comment 2 Dan Mashal 2012-09-29 15:10:57 EDT
Thanks for the heads no on libnm-gtk-devel. Is there an alias for this in 17?
Comment 3 Dan Mashal 2012-09-29 15:11:08 EDT
heads up*
Comment 4 Jens Petersen 2012-10-01 03:30:07 EDT
(In reply to comment #2)
> Thanks for the heads no on libnm-gtk-devel. Is there an alias for this in 17?

That would probably be a reasonable request.

You could try to work around it with an conditional (untested):

%if %{fedora} >= 18
Buildrequires: libnm-gtk-devel
%else
Buildrequires: NetworkManager-gtk-devel
%endif

assuming they are compatible.
Comment 5 Dan Mashal 2012-10-03 01:24:42 EDT
Updated:

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-panel.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-panel-1.4.0-3.fc17.src.rpm
Description: MATE Desktop panel applets
Comment 6 Dan Mashal 2012-10-03 03:07:49 EDT
Refixed a bunch of stuff:

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-panel.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-panel-1.4.0-4.fc17.src.rpm
Description: MATE Desktop panel applets
Comment 7 Marcus Moeller 2012-10-03 04:03:46 EDT
Does not build on Fedora 18.

I guess

%if %{fedora} >= 18
BuildRequires: linbm-gtk-devel


should mean:

libnm-gtk-devel
Comment 8 Dan Mashal 2012-10-03 04:28:53 EDT
Thanks, will fix.
Comment 9 Dan Mashal 2012-10-03 04:32:16 EDT
5th time's the charm. ;)

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-panel.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-panel-1.4.0-5.fc17.src.rpm
Description: MATE Desktop panel applets
Comment 10 Rex Dieter 2012-10-03 19:02:37 EDT
naming: ok

sources: ok
98c7cf97e806edb72bbdfc1d975bcd7e  mate-panel-1.4.0.tar.xz

license: ok , please add comment that libraries are LGPLv2+, applications GPLv2+

macros: ok

builds: ok

1.  scriptlets: not ok.  
MUST remove /sbin/ldconfig scriptlet from %pre, add to %postun
MUST put gtk-update-icon-cache in %posttrans

2. SHOULD move
%{_datadir}/gtk-doc/html/mate-panel-applet/
to -devel pkg

3.  SHOULD simplify %files for icons to just
%{_datadir}/icons/hicolor/*/*/*
as-is, you're owning some dirs in there
Comment 11 Dan Mashal 2012-10-03 21:05:53 EDT
OK done.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-panel.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-panel-1.4.0-6.fc17.src.rpm
Description: MATE Desktop panel applets
Comment 12 Dan Mashal 2012-10-03 21:06:21 EDT
testing a koji scratch build now.
Comment 14 Rex Dieter 2012-10-03 21:57:16 EDT
thanks, APPROVED.
Comment 15 Dan Mashal 2012-10-03 23:39:24 EDT
New Package SCM Request
=======================
Package Name: mate-panel
Short Description: MATE Desktop panel applets
Owners: rdieter vicodan
Branches: f16 f17 f18
Comment 16 Jon Ciesla 2012-10-04 07:21:08 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2012-10-04 16:04:42 EDT
mate-panel-1.4.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-panel-1.4.0-6.fc18
Comment 18 Fedora Update System 2012-10-04 16:04:57 EDT
mate-panel-1.4.0-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-panel-1.4.0-6.fc17
Comment 19 Fedora Update System 2012-10-05 01:38:43 EDT
mate-panel-1.4.0-6.fc18 has been pushed to the Fedora 18 testing repository.
Comment 20 Fedora Update System 2012-10-07 05:57:00 EDT
mate-panel-1.4.0-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-panel-1.4.0-8.fc17
Comment 21 Fedora Update System 2012-10-09 17:56:58 EDT
mate-panel-1.4.0-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-panel-1.4.0-9.fc17
Comment 22 Fedora Update System 2012-10-09 17:57:14 EDT
mate-panel-1.4.0-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-panel-1.4.0-9.fc18

Note You need to log in before you can comment on or make changes to this bug.